<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class DangerLevelEvaluation.
 *
 * @property int         $id
 * @property Danger      $danger
 * @property int         $danger_id
 * @property Evaluation  $evaluation
 * @property int         $evaluation_id
 * @property DangerLevel $level
 * @property int         $danger_level_id
 */
class DangerLevelEvaluation extends Model
{
    use HasFactory;
    use HasTimestamps;
    protected $table = 'danger_level_evaluation';

    protected $with = [
        'danger',
        'level',
    ];

    public function danger(): BelongsTo
    {
        return $this->belongsTo(Danger::class);
    }

    public function evaluation(): BelongsTo
    {
        return $this->belongsTo(Evaluation::class);
    }

    public function level(): BelongsTo
    {
        return $this->belongsTo(DangerLevel::class, 'danger_level_id');
    }
}
